<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Vector Space Utilities</TITLE>
<link href="suifmath_31.html" rel=Next>
<link href="suifmath_29.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_29.html">previous</A>, <A HREF="suifmath_31.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC34" HREF="suifmath_toc.html#TOC34">Vector Space Utilities</A></H3>

<P>
<A NAME="IDX505"></A>
<A NAME="IDX506"></A>
The <CODE>perpendicular</CODE> method takes a <CODE>fract_vector</CODE> as an
argument.  It returns <CODE>TRUE</CODE> if the dot product of its argument and
each of the basis vectors in the space is 0.  The <CODE>space_full</CODE>
method checks to see if the vector space's basis vectors span the entire
space.

</P>
<P>
<A NAME="IDX507"></A>
The <CODE>proj_matrix</CODE> method calculates the projection matrix for the
vector space.  This matrix projects any vector <CODE>b</CODE> onto the vector
space.  Let the current vector space be the column space for a matrix
<CODE>A</CODE>, and resulting matrix be <CODE>P</CODE>.  Also, let <CODE>AT</CODE> be the
transpose of <CODE>A</CODE>.  The projection is calculated using: <CODE>P = A
* ((AT * A)^-1)*AT</CODE>.

</P>
<P>
<A NAME="IDX508"></A>
<A NAME="IDX509"></A>
<A NAME="IDX510"></A>
The <CODE>beautify</CODE> method simplifies the basis vectors in the space.
For example:

</P>

<PRE>
{(3, 0, 0), (8, 0, -5)}  ==&#62; {(1, 0, 0), (0, 0, 1)}
</PRE>

<P>
The <CODE>reduce_magnitude</CODE> method will try to maximally reduce the
numerator of the fractions in the basis vectors of the space.  The
<CODE>fill_space</CODE> method increases the space dimension of the vector
space to the value given as its argument.

</P>
<P>
<A NAME="IDX511"></A>
<A NAME="IDX512"></A>
The method <CODE>in</CODE> determines if its <CODE>fract_vector</CODE> argument is
spanned by the vector space.  The argument is factored with the LU
decomposition of the vector space's matrix representation.  If the
resulting factored vector is dependent, then it is already in the vector
space.  Finally, the method <CODE>insert</CODE> will insert its
<CODE>fract_vector</CODE> argument into the vector space, if the argument is
not already in the space.

</P>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_29.html">previous</A>, <A HREF="suifmath_31.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
